Method: projects.locations.glossaries.patch

Updates a Glossary resource.

HTTP request

PATCH https://dataplex.googleapis.com/v1/{glossary.name=projects/*/locations/*/glossaries/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
glossary.name

string

Output only. Identifier. The resource name of the Glossary. Format: projects/{project_id_or_number}/locations/{locationId}/glossaries/{glossaryId}

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

validateOnly

boolean

Optional. Validates the request without actually updating the Glossary. Default: false.

Request body

The request body contains an instance of Glossary.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/dataplex.read-write

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • dataplex.glossaries.update

For more information, see the IAM documentation.